#!/bin/bash

# 定义包含视频文件夹和ASR结果的目录路径
videos_dirs=("videos_0" "videos_1")
asr_dir="asr_res"

# 遍历ASR结果目录中的所有txt文件
for file in "$asr_dir"/*.txt; do
  # 获取文件大小
  size=$(stat -c%s "$file")

  # 检查文件大小是否大于0
  if [ "$size" -gt 0 ]; then
    # 从文件名获取ID
    id=$(basename "$file" .txt)

    # 遍历视频目录数组
    for videos_dir in "${videos_dirs[@]}"; do
      # 构建目标目录路径
      target_dir="$videos_dir/$id"

      # 检查目标目录是否存在
      if [ -d "$target_dir" ]; then
        # 删除目标目录
        echo "删除目录：$target_dir"
        rm -rf "$target_dir"
      fi
    done
  fi
done

